Subject: Re: What's cooking in git.git (Apr 2025, #01; Mon, 7)

From: Philippe Blain <[email-masked]>
Date: Wed, 9 Apr 2025 07:31:03 -0400

Hi Junio and Patrick,

Le 2025-04-08 à 10:50, Junio C Hamano a écrit :
> Patrick Steinhardt <[email-masked]> writes:
> 
>> On Mon, Apr 07, 2025 at 04:49:28PM +0000, Junio C Hamano wrote:
>>> * pb/perf-test-fixes (2025-03-28) 2 commits
>>>  - p9210: fix 'scalar clone' when running from a detached HEAD
>>>  - p7821: fix test_perf invocation for prereqs
>>>
>>>  "make perf" fixes.
>>>
>>>  Will merge to 'next'?
>>>  cf. <[email-masked]>
>>>  source: <[email-masked]>
>>
>> I had one question around empty prereqs introduced by the patch that
>> wasn't yet answered. Based on my testing empty prereqs do work just fine
>> though and evaluate to true, so the patch series looks fine to me.

Patrick, thank you for your review on this series, and for testing it.
I do intend to answer you in that thread, and I also wanted to actually test
what you mentioned about empty prereqs, I just have very limited time to
contribute these days, so I don't know when I'll be able to.

Junio, I see this was merged to 'next' already yesterday (the 8th), and
you sent this "What's cooking" on the 7th. Would it be possible to wait 
more than one day before announcing an upcoming merge to 'next' of a series
and the actual merge ? This would allow contributors with very little time
to contribute a little more time to say so if they wish to wait 
before merging to next because they want to send a new iteration. 

P.S. I can't answer these mails on my phone because of the plain-text only
requirement on the list (at least, I do not know of an iOS mobile client that
can send plain-text only).

Thank you,

Philippe.